Bug 380305 - Kontact crash after unsuccerssful IMAP connection attempt
Summary: Kontact crash after unsuccerssful IMAP connection attempt
Status: RESOLVED WORKSFORME
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.2.3
Platform: Debian stable Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2017-05-29 08:36 UTC by quazgar
Modified: 2021-01-16 04:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description quazgar 2017-05-29 08:36:58 UTC
Application: kontact (5.2.3)

Qt Version: 5.7.1
Frameworks Version: 5.28.0
Operating System: Linux 4.9.0-3-amd64 x86_64
Distribution: Debian GNU/Linux 9.0 (stretch)

-- Information about the crash:
- What I was doing when the application crashed:
Closing Kontact.

- Unusual behavior I noticed:
I was unable to connect to the usual IMAP server, had many failed attempts to connect to it.

-- Backtrace:
Application: Kontact (kontact), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f5fdaa76dc0 (LWP 6737))]

Thread 19 (Thread 0x7f5e82a45700 (LWP 31179)):
#0  0x00007f5ff16c055d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5fe2908073 in  () at /usr/lib/x86_64-linux-gnu/tls/libnvidia-tls.so.375.39
#2  0x00007f5fc9d41181 in pa_read () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-10.0.so
#3  0x00007f5fca1c70be in pa_mainloop_prepare () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f5fca1c7b30 in pa_mainloop_iterate () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f5fca1c7bf0 in pa_mainloop_run () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f5fca1d5bd9 in  () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#7  0x00007f5fc9d702c8 in  () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-10.0.so
#8  0x00007f5feb626494 in start_thread (arg=0x7f5e82a45700) at pthread_create.c:333
#9  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 18 (Thread 0x7f5f357fa700 (LWP 15500)):
#0  0x00007f5fe97d6104 in g_mutex_unlock (mutex=0x7f5f18002e00) at ././glib/gthread-posix.c:1348
#1  0x00007f5fe978fed0 in g_main_context_prepare (context=context@entry=0x7f5f18002e00, priority=priority@entry=0x7f5f357f9b40) at ././glib/gmain.c:3499
#2  0x00007f5fe979091b in g_main_context_iterate (context=context@entry=0x7f5f18002e00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3909
#3  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f18002e00, may_block=1) at ././glib/gmain.c:3990
#4  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5feb626494 in start_thread (arg=0x7f5f357fa700) at pthread_create.c:333
#9  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 17 (Thread 0x7f5f35ffb700 (LWP 15497)):
#0  0x00007f5ff16c055d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5fe2908073 in  () at /usr/lib/x86_64-linux-gnu/tls/libnvidia-tls.so.375.39
#2  0x00007f5fe97d4d40 in read (__nbytes=16, __buf=0x7f5f35ffaa60, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  0x00007f5fe97d4d40 in g_wakeup_acknowledge (wakeup=0x7f5f20002370) at ././glib/gwakeup.c:210
#4  0x00007f5fe97904be in g_main_context_check (context=context@entry=0x7f5f20002a00, max_priority=2147483647, fds=fds@entry=0x7f5f20002ba0, n_fds=n_fds@entry=1) at ././glib/gmain.c:3707
#5  0x00007f5fe9790994 in g_main_context_iterate (context=context@entry=0x7f5f20002a00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3926
#6  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f20002a00, may_block=1) at ././glib/gmain.c:3990
#7  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f5feb626494 in start_thread (arg=0x7f5f35ffb700) at pthread_create.c:333
#12 0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 16 (Thread 0x7f5f367fc700 (LWP 15496)):
#0  0x00007f5ff42f073e in _dl_update_slotinfo (req_modid=1) at dl-tls.c:619
#1  0x00007f5ff42f097c in update_get_addr (ti=0x7f5ff23e5788) at dl-tls.c:802
#2  0x00007f5ff1fc9c36 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f5ff21ee931 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f5fe97903f9 in g_main_context_check (context=context@entry=0x7f5f14003000, max_priority=2147483647, fds=fds@entry=0x7f5f140031a0, n_fds=n_fds@entry=1) at ././glib/gmain.c:3762
#5  0x00007f5fe9790994 in g_main_context_iterate (context=context@entry=0x7f5f14003000, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3926
#6  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f14003000, may_block=1) at ././glib/gmain.c:3990
#7  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f5feb626494 in start_thread (arg=0x7f5f367fc700) at pthread_create.c:333
#12 0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 15 (Thread 0x7f5f36ffd700 (LWP 15489)):
#0  0x00007f5ff16c44ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5fe97909f6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f5f1c002fa0, timeout=<optimized out>, context=0x7f5f1c002e00) at ././glib/gmain.c:4228
#2  0x00007f5fe97909f6 in g_main_context_iterate (context=context@entry=0x7f5f1c002e00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3924
#3  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f1c002e00, may_block=1) at ././glib/gmain.c:3990
#4  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5feb626494 in start_thread (arg=0x7f5f36ffd700) at pthread_create.c:333
#9  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 14 (Thread 0x7f5f377fe700 (LWP 15477)):
#0  0x00007fffc4d94949 in  ()
#1  0x00007fffc4d94bd9 in clock_gettime ()
#2  0x00007f5ff16da7d6 in __GI___clock_gettime (clock_id=1, tp=0x7f5f377fd9e0) at ../sysdeps/unix/clock_gettime.c:115
#3  0x00007f5ff2070091 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f5ff21ecce9 in QTimerInfoList::updateCurrentTime() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5ff21ed295 in QTimerInfoList::timerWait(timespec&) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f5ff21ee63e in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f5fe978fedd in g_main_context_prepare (context=context@entry=0x7f5f48002c00, priority=priority@entry=0x7f5f377fdb40) at ././glib/gmain.c:3501
#8  0x00007f5fe979091b in g_main_context_iterate (context=context@entry=0x7f5f48002c00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3909
#9  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f48002c00, may_block=1) at ././glib/gmain.c:3990
#10 0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#12 0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#13 0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#14 0x00007f5feb626494 in start_thread (arg=0x7f5f377fe700) at pthread_create.c:333
#15 0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 13 (Thread 0x7f5f4f7fe700 (LWP 15450)):
#0  0x00007f5ff16c44ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5fe97909f6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f5f24002da0, timeout=<optimized out>, context=0x7f5f24002c00) at ././glib/gmain.c:4228
#2  0x00007f5fe97909f6 in g_main_context_iterate (context=context@entry=0x7f5f24002c00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3924
#3  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f24002c00, may_block=1) at ././glib/gmain.c:3990
#4  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5feb626494 in start_thread (arg=0x7f5f4f7fe700) at pthread_create.c:333
#9  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 12 (Thread 0x7f5f11ca7700 (LWP 13996)):
#0  0x00007f5feb62c15f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5fdeb242c4 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#2  0x00007f5fdeb24309 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#3  0x00007f5feb626494 in start_thread (arg=0x7f5f11ca7700) at pthread_create.c:333
#4  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 11 (Thread 0x7f5f34ff9700 (LWP 7257)):
#0  0x00007f5ff16c055d in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5fe2908073 in  () at /usr/lib/x86_64-linux-gnu/tls/libnvidia-tls.so.375.39
#2  0x00007f5fe97d4d40 in read (__nbytes=16, __buf=0x7f5f34ff8a60, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  0x00007f5fe97d4d40 in g_wakeup_acknowledge (wakeup=0x7f5f18002550) at ././glib/gwakeup.c:210
#4  0x00007f5fe97904be in g_main_context_check (context=context@entry=0x7f5f0c0009b0, max_priority=2147483647, fds=fds@entry=0x7f5f0c0013c0, n_fds=n_fds@entry=1) at ././glib/gmain.c:3707
#5  0x00007f5fe9790994 in g_main_context_iterate (context=context@entry=0x7f5f0c0009b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3926
#6  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f0c0009b0, may_block=1) at ././glib/gmain.c:3990
#7  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f5feb626494 in start_thread (arg=0x7f5f34ff9700) at pthread_create.c:333
#12 0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 10 (Thread 0x7f5f5d299700 (LWP 6773)):
#0  0x00007f5ff16c44ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5fe97909f6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f5f500013c0, timeout=<optimized out>, context=0x7f5f500009b0) at ././glib/gmain.c:4228
#2  0x00007f5fe97909f6 in g_main_context_iterate (context=context@entry=0x7f5f500009b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3924
#3  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5f500009b0, may_block=1) at ././glib/gmain.c:3990
#4  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5feb626494 in start_thread (arg=0x7f5f5d299700) at pthread_create.c:333
#9  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 9 (Thread 0x7f5f767fa700 (LWP 6769)):
#0  0x00007f5feb62c15f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5fef39f913 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f5fef6c7681 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f5feb626494 in start_thread (arg=0x7f5f767fa700) at pthread_create.c:333
#4  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 8 (Thread 0x7f5f76ffb700 (LWP 6768)):
#0  0x00007f5feb62c15f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5fef39f913 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f5fef6c7681 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f5feb626494 in start_thread (arg=0x7f5f76ffb700) at pthread_create.c:333
#4  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 7 (Thread 0x7f5f777fc700 (LWP 6767)):
#0  0x00007f5feb62c15f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5fef39f913 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f5fef6c7681 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f5feb626494 in start_thread (arg=0x7f5f777fc700) at pthread_create.c:333
#4  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 6 (Thread 0x7f5f77ffd700 (LWP 6766)):
#0  0x00007f5feb62c15f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5fef39e7f1 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f5fef6c7681 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f5feb626494 in start_thread (arg=0x7f5f77ffd700) at pthread_create.c:333
#4  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 5 (Thread 0x7f5fc5499700 (LWP 6741)):
#0  0x00007f5ff16c44ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5fe97909f6 in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f5fbc0013c0, timeout=<optimized out>, context=0x7f5fbc0009b0) at ././glib/gmain.c:4228
#2  0x00007f5fe97909f6 in g_main_context_iterate (context=context@entry=0x7f5fbc0009b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3924
#3  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5fbc0009b0, may_block=1) at ././glib/gmain.c:3990
#4  0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5feb626494 in start_thread (arg=0x7f5fc5499700) at pthread_create.c:333
#9  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 4 (Thread 0x7f5fc5e77700 (LWP 6740)):
#0  0x00007f5feb62c15f in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f5fef69698b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f5fef6969c9 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f5feb626494 in start_thread (arg=0x7f5fc5e77700) at pthread_create.c:333
#4  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 3 (Thread 0x7f5fc7088700 (LWP 6739)):
#0  0x00007fffc4d94949 in  ()
#1  0x00007fffc4d94bd9 in clock_gettime ()
#2  0x00007f5ff16da7d6 in __GI___clock_gettime (clock_id=1, tp=0x7f5fc70879b0) at ../sysdeps/unix/clock_gettime.c:115
#3  0x00007f5ff2070091 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f5ff21ecce9 in QTimerInfoList::updateCurrentTime() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5ff21ed295 in QTimerInfoList::timerWait(timespec&) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f5ff21ee63e in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f5fe978fedd in g_main_context_prepare (context=context@entry=0x7f5fc00009b0, priority=priority@entry=0x7f5fc7087b10) at ././glib/gmain.c:3501
#8  0x00007f5fe979091b in g_main_context_iterate (context=context@entry=0x7f5fc00009b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3909
#9  0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5fc00009b0, may_block=1) at ././glib/gmain.c:3990
#10 0x00007f5ff21ef06b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#12 0x00007f5ff1fc60f3 in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#13 0x00007f5ff44476d5 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#14 0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#15 0x00007f5feb626494 in start_thread (arg=0x7f5fc7088700) at pthread_create.c:333
#16 0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 2 (Thread 0x7f5fd0987700 (LWP 6738)):
#0  0x00007f5ff16c44ed in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f5febc54150 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f5febc55ee9 in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f5fd3313b69 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007f5ff1fcada8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f5feb626494 in start_thread (arg=0x7f5fd0987700) at pthread_create.c:333
#6  0x00007f5ff16cd93f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:97

Thread 1 (Thread 0x7f5fdaa76dc0 (LWP 6737)):
[KCrash Handler]
#6  0x00007f5ff1617fcf in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#7  0x00007f5ff16193fa in __GI_abort () at abort.c:89
#8  0x00007f5ff1610e37 in __assert_fail_base (fmt=<optimized out>, assertion=assertion@entry=0x7f5f6578a6da "mySelf", file=file@entry=0x7f5f65789f80 "/build/kdepim-Ezotx3/kdepim-16.04.3/kmail/kmkernel.cpp", line=line@entry=1606, function=function@entry=0x7f5f6578aa20 "virtual KSharedConfig::Ptr KMKernel::config()") at assert.c:92
#9  0x00007f5ff1610ee2 in __GI___assert_fail (assertion=0x7f5f6578a6da "mySelf", file=0x7f5f65789f80 "/build/kdepim-Ezotx3/kdepim-16.04.3/kmail/kmkernel.cpp", line=1606, function=0x7f5f6578aa20 "virtual KSharedConfig::Ptr KMKernel::config()") at assert.c:101
#10 0x00007f5f65651794 in KMKernel::config() () at /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
#11 0x00007f5f64fc6c99 in MailCommon::FolderCollection::writeConfig() const () at /usr/lib/x86_64-linux-gnu/libKF5MailCommon.so.5
#12 0x00007f5f64fc724d in MailCommon::FolderCollection::~FolderCollection() () at /usr/lib/x86_64-linux-gnu/libKF5MailCommon.so.5
#13 0x00007f5f64fc7289 in MailCommon::FolderCollection::~FolderCollection() () at /usr/lib/x86_64-linux-gnu/libKF5MailCommon.so.5
#14 0x00007f5f64fbe166 in MailCommon::CollectionGeneralPage::~CollectionGeneralPage() () at /usr/lib/x86_64-linux-gnu/libKF5MailCommon.so.5
#15 0x00007f5f64fbe189 in MailCommon::CollectionGeneralPage::~CollectionGeneralPage() () at /usr/lib/x86_64-linux-gnu/libKF5MailCommon.so.5
#16 0x00007f5ff21c4e11 in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x00007f5ff2d10bdb in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#18 0x00007f5ff2e5e929 in QStackedWidget::~QStackedWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#19 0x00007f5ff21c4e11 in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#20 0x00007f5ff2d10bdb in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#21 0x00007f5ff2e6b6f9 in QTabWidget::~QTabWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#22 0x00007f5ff21c4e11 in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#23 0x00007f5ff2d10bdb in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#24 0x00007f5fe903f6e9 in Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog() () at /usr/lib/x86_64-linux-gnu/libKF5AkonadiWidgets.so.5
#25 0x00007f5fe903f779 in Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog() () at /usr/lib/x86_64-linux-gnu/libKF5AkonadiWidgets.so.5
#26 0x00007f5ff21c4e11 in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#27 0x00007f5ff2d10bdb in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f5f656954dd in KMMainWidget::~KMMainWidget() () at /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
#29 0x00007f5f65695649 in KMMainWidget::~KMMainWidget() () at /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
#30 0x00007f5ff21c4e11 in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#31 0x00007f5ff2d10bdb in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007f5ff2d10ec9 in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007f5ff01bd5e2 in KParts::Part::~Part() () at /usr/lib/x86_64-linux-gnu/libKF5Parts.so.5
#34 0x00007f5f65a3b5fc in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/kmailpart.so
#35 0x00007f5f65a3b679 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/kmailpart.so
#36 0x00007f5ff3c8221e in KontactInterface::Plugin::~Plugin() () at /usr/lib/x86_64-linux-gnu/libKF5KontactInterface.so.5
#37 0x00007f5f74efb686 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/kontact_kmailplugin.so
#38 0x00007f5f74efb6a9 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/kontact_kmailplugin.so
#39 0x00007f5ff3eac01e in Kontact::MainWindow::~MainWindow() () at /usr/lib/x86_64-linux-gnu/libkontactprivate.so.5
#40 0x00007f5ff3eac159 in Kontact::MainWindow::~MainWindow() () at /usr/lib/x86_64-linux-gnu/libkontactprivate.so.5
#41 0x00007f5ff21c74d0 in QObject::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#42 0x00007f5ff2d1546b in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#43 0x00007f5ff2e1492b in QMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#44 0x00007f5ff39e7097 in KMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#45 0x00007f5ff3a2bbb5 in KXmlGuiWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#46 0x00007f5ff2ccdb8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#47 0x00007f5ff2cd5341 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#48 0x00007f5ff219a9e0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#49 0x00007f5ff219d16d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#50 0x00007f5ff21eec43 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#51 0x00007f5fe97907f7 in g_main_dispatch (context=0x7f5fcc001710) at ././glib/gmain.c:3203
#52 0x00007f5fe97907f7 in g_main_context_dispatch (context=context@entry=0x7f5fcc001710) at ././glib/gmain.c:3856
#53 0x00007f5fe9790a60 in g_main_context_iterate (context=context@entry=0x7f5fcc001710, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ././glib/gmain.c:3929
#54 0x00007f5fe9790b0c in g_main_context_iteration (context=0x7f5fcc001710, may_block=1) at ././glib/gmain.c:3990
#55 0x00007f5ff21ef04f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#56 0x00007f5ff21989ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#57 0x00007f5ff21a113c in QCoreApplication::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#58 0x000055834302853f in  ()
#59 0x00007f5ff16052b1 in __libc_start_main (main=0x5583430275b0, argc=1, argv=0x7fffc4d27c88, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffc4d27c78) at ../csu/libc-start.c:291
#60 0x0000558343028a3a in _start ()

Possible duplicates by query: bug 380107, bug 368252, bug 368168, bug 364170.

Reported using DrKonqi
Comment 1 Justin Zobel 2020-12-17 05:29:43 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 2 Bug Janitor Service 2021-01-01 04:36:54 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Bug Janitor Service 2021-01-16 04:35:53 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!